## greetd 0.8.0

=== debian/changelog ===
greetd (0.8.0-2) unstable; urgency=medium

  * Relax version requirements for nix into a minimum version (thanks
    Peter Green)(Closes: #1025744).
  * Hardcode SHELL in agreety configuration as the user is locked.
  * Do not start the service to avoid logging out the user and let them
    configure the desired frontend (Closes: #1025872).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 20 Dec 2022 20:06:12 +0900

greetd (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1010247).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 03 Oct 2022 14:22:59 +0900
