=== debian/control ===
Source: greetd
Section: misc
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
# greetd & greetd_ipc
 librust-nix-dev (>= 0.25),
 librust-pam-sys-dev (>= 0.5.6),
 librust-users-dev (>= 0.11.0),
 librust-serde-derive-dev (>= 1.0),
 librust-serde-json-dev (>= 1.0),
 librust-libc-dev (>= 0.2),
 librust-tokio-dev (>= 1.0),
 librust-getopts-dev (>= 0.2),
 librust-thiserror-dev (>= 1.0),
 librust-async-trait-dev (>= 0.1),
 librust-enquote-dev (>= 1.0.3),
# agreety
 librust-rpassword-dev (>= 5.0),
 scdoc,
 pkg-config
Standards-Version: 4.6.1
Homepage: https://sr.ht/~kennylevinsen/greetd/
Vcs-Git: https://git.sr.ht/~kennylevinsen/greetd
Vcs-Browser: https://git.sr.ht/~kennylevinsen/greetd/tree
Rules-Requires-Root: no

Package: greetd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser
Provides: x-display-manager
Suggests: wlgreet
Description: minimal Wayland login manager
 greetd is a minimal and flexible login manager daemon that makes no
 assumptions about what you want to launch.
