=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/rustc/architecture.mk


%:
	dh $@ --buildsystem=cargo

# generate cargo-checksum file
_mkchecksum = printf '{"package":"%s","files":{}}\n' \
 $$(sha256sum $(or $2,$(dir $1)Cargo.toml) | grep -Po '^\S+') > $1;

execute_before_dh_auto_configure:
	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)

override_dh_auto_build:
	# actually does the build
	dh_auto_test -- --release
	make -C man all

# we ship the build result, skipping dh-cargo's test build
override_dh_auto_test:

override_dh_auto_install:
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/greetd /usr/sbin/
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/agreety /usr/sbin/

execute_after_dh_install:
	# bad perms
	chmod a-x debian/greetd/lib/systemd/system/greetd.service

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-start

execute_after_dh_auto_clean:
	make -C man clean
	rm -f debian/cargo-checksum.json
