## greetd 0.9.0

=== debian/changelog ===
greetd (0.9.0-4ubuntu1) mantic; urgency=medium

  * Don't depend on dh_auto_test for build. Fixes Ubuntu riscv64 build.
    (Closes: #1050769)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Oct 2023 14:52:32 -0400

greetd (0.9.0-4) unstable; urgency=medium

  * Skip dh_dwz as dwz is unable to understand the generated code.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 29 Jul 2023 16:22:10 +0900

greetd (0.9.0-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * Update PAM configuration(s)
    Except for the gnome-keyring bits, all items currently set in the
    `greetd` PAM config are already part of the `login` config. Including
    the latter makes the `greetd` config simpler.
    This commit also calls the PAM modules needed for unlocking the KDE
    wallet as well, and adds the `greetd-greeter` config (simply including
    `login` as the greeter itself doesn't need to deal with keyrings).
    Finally, switch to using debhelper for installing the configs instead of
    handling those manually.
  * Add Breaks/Replaces relationships on older `phog`
    `phog` used to ship the `greetd` and `greetd-greeter` PAM configs,
    leading to conflicts with the latest version of the `greetd` package.
    This commit ensures we avoid this conflict and maintain a clean
    upgrade path for both those packages.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 31 Mar 2023 12:12:29 +0900

greetd (0.9.0-2) unstable; urgency=medium

  * Provide PAM configuration (Closes: #1032786).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 13 Mar 2023 02:41:02 +0900

greetd (0.9.0-1) unstable; urgency=medium

  * NUR:
    - drop recent_nix_adaptations.patch, obsolete
    - adapt the other patches for the new version
    - patch for using it with rpassword 6.0 currently in Debian
  * fix Vcs-* control fields (Closes: #1023980).
  * Improved user and group creation (Closes: #1028282).
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 09 Feb 2023 00:38:57 +0900
