=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: greetd
 Section: misc
 Priority: optional
-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-cargo,
@@ -21,10 +22,10 @@
  librust-rpassword-dev (>= 5.0),
  scdoc,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://sr.ht/~kennylevinsen/greetd/
-Vcs-Git: https://git.sr.ht/~kennylevinsen/greetd
-Vcs-Browser: https://git.sr.ht/~kennylevinsen/greetd/tree
+Vcs-Git: https://salsa.debian.org/debian/greetd.git
+Vcs-Browser: https://salsa.debian.org/debian/greetd
 Rules-Requires-Root: no
 
 Package: greetd
@@ -35,7 +36,8 @@
  adduser
 Provides: x-display-manager
 Suggests: wlgreet
+Breaks: phog (<< 0.1.3-2)
+Replaces: phog (<< 0.1.3-2)
 Description: minimal Wayland login manager
  greetd is a minimal and flexible login manager daemon that makes no
  assumptions about what you want to launch.
-
