## greetd 0.10.3

=== debian/changelog ===
greetd (0.10.3-5) unstable; urgency=medium

  * Add patch for nix 0.30 kindly provided by Peter Michael Green (Closes:
    #1116415).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 10 Nov 2025 19:26:53 +0900

greetd (0.10.3-4) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * adduser --allow-badname and scaffolding now unnecessary (Closes:
    #1091165).
  * Create a writable home for the greetd service (Closes: #1101303).
  * Pass --oknodo for sysvinit stop action (Closes: #1088073).
  * Bump Standards-Version to 4.7.2 (no changes).

  [ Fabian Grünbichler ]
  * Add libstd-rust-dev to Build-Depends for cross-building.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 08 Apr 2025 22:14:57 +0900

greetd (0.10.3-3) unstable; urgency=medium

  * Update agretty config to use the user's SHELL if set (courtesy
    Johannes Schauer Marin Rodrigues).
  * Remove obsolete dependency on librust-users-dev (Closes: #1080512).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 13 Nov 2024 17:39:38 +0900

greetd (0.10.3-2) unstable; urgency=medium

  * Add patch for rust-nix 0.29 (courtesy Peter Michael Green)
    (Closes: #1085439).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 08 Nov 2024 12:43:27 +0900

greetd (0.10.3-1) unstable; urgency=medium

  * NUR.
  * Update paths for the /usr-move (DEP17) transition
    (Closes: #1073602).
  * Add init script kindly provided by Juliusz Chroboczek (Closes:
    #1074495).
  * Add missing misc:Pre-Depends.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 19 Jul 2024 14:09:19 +0900

greetd (0.10.0-1) unstable; urgency=medium

  * NUR: refreshed patches.
  * Bump rpassword source dependency since we have a patch for it.
  * Update copyright years.
  * Use pkgconf as pkg-config is obsolete now.
  * Bump Standards-Version to 4.7.0 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 08 May 2024 10:34:22 +0900

greetd (0.9.0-6) unstable; urgency=medium

  * Relax dependency on rpassword (Closes: #1057931).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 21 Dec 2023 23:17:58 +0900

greetd (0.9.0-5) unstable; urgency=medium

  * Fix build when DEB_BUILD_OPTIONS contains 'nocheck'
    (Closes: #1050769).
  * Fix perms using the proper stage (Thanks Jeremy Bicha).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 09 Nov 2023 21:58:10 +0900
