=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: greetd
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-cargo,
+# needed for cross-building, dh-cargo only pulls in the :native one
+ libstd-rust-dev,
 # greetd & greetd_ipc
- librust-nix-dev (>= 0.25),
+ librust-nix-dev (>= 0.30),
  librust-pam-sys-dev (>= 0.5.6),
- librust-users-dev (>= 0.11.0),
  librust-serde-derive-dev (>= 1.0),
  librust-serde-json-dev (>= 1.0),
  librust-libc-dev (>= 0.2),
@@ -19,10 +19,10 @@
  librust-async-trait-dev (>= 0.1),
  librust-enquote-dev (>= 1.0.3),
 # agreety
- librust-rpassword-dev (>= 5.0),
+ librust-rpassword-dev (>= 6.0),
  scdoc,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.2
 Homepage: https://sr.ht/~kennylevinsen/greetd/
 Vcs-Git: https://salsa.debian.org/debian/greetd.git
 Vcs-Browser: https://salsa.debian.org/debian/greetd
@@ -30,6 +30,7 @@
 
 Package: greetd
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
