=== debian/watch ===
version=4
https://git.sr.ht/~kennylevinsen/greetd/refs .*/(.*)\.tar\.gz
